function [C1,C,CN]=make_heis_ham();
% create tensors (C1=first, CN=last, C=rest) for spin-1/2 Heisenberg Hamiltonian

sx=[0 1;1 0];
sz=[1 0;0 -1];
sy = sz*sx/i;
id = eye(2);

C = zeros(5,5,2,2);
C(1,1,:,:)=id;
C(5,5,:,:)=id;
C(1,2,:,:)=sx;
C(1,3,:,:)=sy;
C(1,4,:,:)=sz;
C(2,5,:,:)=sx;
C(3,5,:,:)=sy;
C(4,5,:,:)=sz;

C1 = C(1,:,:,:);
CN = C(:,5,:,:);


