function energies = test_heis_ham(DD);
N=30;

[C1,Cx,CN] = make_heis_ham();  % get MPO for spin-1/2 Heisenberg Hamiltonian

C{1} = C1;       % first MPO tensor
for s=2:(N-1)
    C{s} = Cx;   % central MPO tensors
end;
C{N} = CN;       % last MPO tensor

for s=1:N
    PHYS{s} = 2; % physical dimension 2 everywhere
end;
for s=1:(N-1)
    D{s} = DD;   % bond dimension
end;

energies = dmrg_run(C,D,PHYS,6);

%plot(real(energies),'b.-');

